Bug 6217 - installer crashes when finding NT partition
installer crashes when finding NT partition
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-21 22:44 EDT by randy.schrickel
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-22 12:26:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description randy.schrickel 1999-10-21 22:44:51 EDT
Similar to many other bugs entered on the installer - begs
the questions - was the installer ever tested and _when_
will they be fixed so I can finish my upgrade?

Upgrading from 6.0 to 6.1 from local hard disk.

Get to the point of the dialog with "Searching for..." after
selecting a device and directory to install from. Get the
messages:

Error mounting ext2 filesystem on sda1: Invalid argument

Then the traceback:

/usr/bin/anaconda.real line 225 in ?
  intf.run (todo, test = test)
/tmp/lib/python1.5/site-packages/text.py line 1000 in run
  rc = apply(step[1](), step[2])
/tmp/lib/python1.5/site-packages/text.py line 222 in
__call__
  parts = todo.upgradeFindRoot()
/tmp/lib/python1.5/site-packages/todo.py line 1130 in
upgradeFindRoot
  isys.umount('/mnt/sysimage')
/tmp/lib/python1.5/site-packages/isis.py line 8 in umount
  return _isys.umount(what)
SystemError = (22, 'Invalid Argument')

install exited abnormally....
you may safely reboot...

The disk it was trying to mount - sda1 - is *not* an ext2
partition, it's an NT partition.
Comment 1 Bill Nottingham 1999-10-22 10:37:59 EDT
*** This bug has been marked as a duplicate of 5677 ***
Comment 2 Bill Nottingham 1999-10-22 12:26:59 EDT
*** This bug has been marked as a duplicate of 5567 ***

Note You need to log in before you can comment on or make changes to this bug.